# DataExchange
TKVRML
VrmlConverter

# VrmlConverter_LineAspect Class Reference

qualifies the aspect properties for
the VRML conversation of a Curve and a DeflectionCurve .

`#include <VrmlConverter_LineAspect.hxx>`

Inheritance diagram for VrmlConverter_LineAspect:

[legend]

## Public Member Functions

Standard_EXPORT | VrmlConverter_LineAspect ()
| create a default LineAspect. Default value: HasMaterial = False - a line hasn't own material (color)
Standard_EXPORT | VrmlConverter_LineAspect (const Handle(Vrml_Material)&aMaterial, const Standard_Boolean OnOff)
Standard_EXPORT void | SetMaterial (const Handle(Vrml_Material)&aMaterial)
Standard_EXPORT Handle_Vrml_Material | Material () const
Standard_EXPORT void | SetHasMaterial (const Standard_Boolean OnOff)
| defines the necessary of writing own Material from Vrml into output OStream. By default False - the material is not writing into OStream, True - the material is writing.
Standard_EXPORT Standard_Boolean | HasMaterial () const
| returns True if the materials is writing into OStream.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Vrml_Material | myMaterial
Standard_Boolean | myHasMaterial

## Constructor & Destructor Documentation

Standard_EXPORT VrmlConverter_LineAspect::VrmlConverter_LineAspect | ( |  | ) |

Standard_EXPORT VrmlConverter_LineAspect::VrmlConverter_LineAspect | ( | const Handle(Vrml_Material)& | aMaterial,
|  | const Standard_Boolean | OnOff
| ) |

## Member Function Documentation

Standard_EXPORT const VrmlConverter_LineAspect::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in VrmlConverter_IsoAspect.

Standard_EXPORT Standard_Boolean VrmlConverter_LineAspect::HasMaterial | ( |  | ) | const

Standard_EXPORT Handle_Vrml_Material VrmlConverter_LineAspect::Material | ( |  | ) | const

Standard_EXPORT void VrmlConverter_LineAspect::SetHasMaterial | ( | const Standard_Boolean | OnOff | ) |

Standard_EXPORT void VrmlConverter_LineAspect::SetMaterial | ( | const Handle(Vrml_Material)& | aMaterial | ) |

## Field Documentation

Standard_Boolean VrmlConverter_LineAspect::myHasMaterial `[private]`

Handle_Vrml_Material VrmlConverter_LineAspect::myMaterial `[private]`

The documentation for this class was generated from the following file:

- VrmlConverter_LineAspect.hxx